# malloc_allocator.h File Reference

## Detailed Description

This file is a GNU extension to the Standard C++ Library.

Definition in file malloc_allocator.h.

Go to the source code of this file.

## Namespaces

- namespace __gnu_cxx

## Classes

- class __gnu_cxx::malloc_allocator< _Tp >
    An allocator that uses malloc. More...
- struct __gnu_cxx::malloc_allocator< _Tp >::rebind< _Tp1 >

## Defines

- #define _MALLOC_ALLOCATOR_H

## Functions

- template<typename _Tp> bool __gnu_cxx::operator!= (const malloc_allocator< _Tp > &, const malloc_allocator< _Tp > &)
- template<typename _Tp> bool __gnu_cxx::operator== (const malloc_allocator< _Tp > &, const malloc_allocator< _Tp > &)